import numpy as np
from sklearn.metrics import confusion_matrix
import csv

with open('Data.csv', 'r') as f:
    d = [v for v in csv.reader(f)]

data = []
for i in range(1, len(d)):
    data.append([int(d[i][0]), int(d[i][1])])

data = np.array(data)
A = data.T[0]
B = data.T[1]
tbl = confusion_matrix(A,B)
print(tbl)

dicA = {1:0, 2:1, 3:2}
dicB = {1:0, 2:2, 3:1}
print('dicA = ', dicA)
print('dicB = ', dicB)
Atf = [dicA[v] for v in A]
Btf = [dicB[v] for v in B]
tbl1 = confusion_matrix(Atf, Btf)
print(tbl1)
